<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019b098f-d770-7042-abff-3c194ad52cfd,g:06ae7b0f-868a-4486-b97c-bd14c2a1595f-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:aut="http://autostoresystem.com/20251231" xmlns:xbrli="http://www.xbrl.org/2003/instance" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://autostoresystem.com/20251231">
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="aut-2025-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="aut-2025-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="aut-2025-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="aut-2025-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" roleURI="http://autostoresystem.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement">
        <link:definition>[0000001] Statement of comprehensive income, profit or loss, by function of expense (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementoffinancialpositioncurrentnoncurrentStatement" roleURI="http://autostoresystem.com/role/StatementoffinancialpositioncurrentnoncurrentStatement">
        <link:definition>[0000002] Statement of financial position, current/non-current (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcashflowsdirectmethodStatement" roleURI="http://autostoresystem.com/role/StatementofcashflowsdirectmethodStatement">
        <link:definition>[0000003] Statement of cash flows, direct method (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofchangesinequityStatement" roleURI="http://autostoresystem.com/role/StatementofchangesinequityStatement">
        <link:definition>[0000004] Statement of changes in equity (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Tagsthatmustbeappliedifcorrespondinginformationispresentinareport" roleURI="http://autostoresystem.com/role/Tagsthatmustbeappliedifcorrespondinginformationispresentinareport">
        <link:definition>[0000005] Tags that must be applied if corresponding information is present in a report</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="TagsthatmustbeappliedifcorrespondinginformationispresentinareportDetails" roleURI="http://autostoresystem.com/role/TagsthatmustbeappliedifcorrespondinginformationispresentinareportDetails">
        <link:definition>[0000006] Tags that must be applied if corresponding information is present in a report (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://autostoresystem.com/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent" abstract="false" name="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" abstract="false" name="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="aut_RetainedEarningsAndOtherReserves" abstract="false" name="RetainedEarningsAndOtherReserves" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="aut_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" abstract="false" name="AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="aut_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" abstract="false" name="InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="aut_InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities" abstract="false" name="InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
</xs:schema>
